Subject: Re: [PATCH 0/7] [RFC] advice: refuse to output if stderr not TTY

From: Gabor Gombas <[email-masked]>
Date: Thu, 22 Aug 2024 08:03:45 +0200

Hi,

On Wed, Aug 21, 2024 at 11:02:25AM +0000, Derrick Stolee via GitGitGadget wrote:

> Advice is supposed to be for humans, not machines. Why do we output it when
> stderr is not a terminal? Let's stop doing that.

Really bad idea. "/some/script 2>&1 | tee /some/where | less" is a
common, generic debug construct (with countless variations of the exact
commands in the pipe - this is Unix, after all). If /some/script happens
to run git, then I _do_ want to see all the diagnostic messages it might
produce, both recorded at /some/where, and displayed by "less".

Regards,
Gabor